//
//  FYVABanner.h
//  FYVirtualADDemo
//
//  Created by 周永桂 on 2021/11/10.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface FYVABanner : UIView
/// 加载成功
@property (nonatomic, copy) void(^onLoaded)(void);
/// 加载失败
@property (nonatomic, copy) void(^onFailed)(void);
/// 展示成功
@property (nonatomic, copy) void(^onShowed)(void);
/// 关闭
@property (nonatomic, copy) void(^onClosed)(void);
/// 点击
@property (nonatomic, copy) void(^onClicked)(void);

/// 初始化
+ (instancetype)initWithAdId:(NSString *)adId;

/// 初始化
+ (instancetype)initWithFrame:(CGRect)frame adId:(NSString *)adId;

/// 加载
- (void)load;

@end

NS_ASSUME_NONNULL_END
