package com.stars.bridge;
import android.content.Intent;
import com.unity3d.player.UnityPlayerActivity;
import com.stars.debuger.FYDebugger;
import android.view.KeyEvent;
import android.os.Bundle;
import com.stars.combine.FYCombine;
import com.stars.antiaddiction.FYAntiAddiction;
import com.stars.admediation.FYADMediation;
public class FYSDKActivity extends  UnityPlayerActivity  {
    @Override protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		FYCombine.getInstance().onCreate();
		FYADMediation.getInstance().onCreate();
    }
	@Override protected void onNewIntent(Intent intent) {
		super.onNewIntent(intent);
		FYCombine.getInstance().onNewIntent(intent);
		FYADMediation.getInstance().onNewIntent(intent);
    }
    @Override protected void onActivityResult(int requestCode, int resultCode, Intent intent) {
		super.onActivityResult(requestCode, resultCode, intent);
		FYCombine.getInstance().onActivityResult(requestCode, resultCode, intent);
		FYADMediation.getInstance().onActivityResult(requestCode, resultCode, intent);
    }
    @Override protected void onStart() {
		super.onStart();
		FYCombine.getInstance().onStart();
		FYAntiAddiction.getInstance().onStart();
		FYADMediation.getInstance().onStart();
    }
    @Override protected void onRestart() {
		super.onRestart();
		FYCombine.getInstance().onRestart();
		FYADMediation.getInstance().onRestart();
    }
    @Override protected void onStop() {
		super.onStop();
		FYCombine.getInstance().onStop();
		FYAntiAddiction.getInstance().onStop();
		FYADMediation.getInstance().onStop();
    }
    @Override protected void onPause() {
		super.onPause();
		FYCombine.getInstance().onPaused();
		FYADMediation.getInstance().onPaused();
    }
    @Override protected void onResume() {
		super.onResume();
		FYCombine.getInstance().onResumed();
		FYADMediation.getInstance().onResumed();
    }
    @Override protected void onDestroy() {
		super.onDestroy();
		FYCombine.getInstance().onDestroy();
		FYADMediation.getInstance().onDestroy();
    }
    @Override public boolean onKeyDown(int keyCode, KeyEvent event) { 
		FYDebugger.getInstance().onKeyDown(keyCode,event);
		return super.onKeyDown(keyCode, event);
    }
	@Override public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults) {
		super.onRequestPermissionsResult(requestCode, permissions, grantResults);
		FYCombine.getInstance().onRequestPermissionsResult(requestCode, permissions, grantResults);
		FYADMediation.getInstance().onRequestPermissionsResult(requestCode, permissions, grantResults);
    }
}
