package com.stars.bridge;
import android.app.Application;
import android.content.Context;
import com.stars.core.base.FYAPP;
import com.stars.combine.FYCombine;
import com.stars.admediation.FYADMediation;
public class FYSDKApplication extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
		FYCombine.getInstance().doApplicationOnCreate();
		FYADMediation.getInstance().doApplicationOnCreate();
    }

    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
		FYAPP.getInstance().init(this);
		FYCombine.getInstance().doApplicationAttachBaseContext(base);
		FYADMediation.getInstance().doApplicationAttachBaseContext(this);
    }
}
