//
//  FYANHealthResponse.h
//  FYAntiAddiction
//
//  Created by huangsy on 2024/9/24.
//  Copyright © 2024 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <FYCore/FYCResponse.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, FYANHealthCode) {
    /// 成功、通过
    FYANHealthSuccess = 0,
    /// 不通过
    FYANHealthNoPass = 10001,
    /// 下线
    FYANHealthOffline = 10002,
    /// 支付限制
    FYANHealthPayLimit = 10003,
    /// 未实名
    FYANHealthNoRealName = 10004
};

@interface FYANHealthResponse : FYCResponse

@end

NS_ASSUME_NONNULL_END
